package cn.gtmap.estateplat.config.core.service.impl;

import cn.gtmap.estateplat.config.BaseTest;
import cn.gtmap.estateplat.config.service.ztxx.BdcCxBdcdyZtService;
import cn.gtmap.estateplat.service.config.QlztService;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;

/*
 * @author <a href="mailto:huangzijian@gtmap.cn">huangzijian</a>
 * @version 1.0, 2017/12/21
 * @description
 */public class BdcCxBdcdyZtServiceImplTest extends BaseTest {
    @Autowired
    BdcCxBdcdyZtService bdcCxBdcdyZtService;
    @Autowired
    QlztService qlztService;

    @Test
    public void text() throws Exception {
        String bdcdyh = "320705001002GB00375W00000000";
        List<String> bdcdyhList = new LinkedList<String>();
        bdcdyhList.add(bdcdyh);
        bdcCxBdcdyZtService.updateBdcdyZtByBdcdyh(bdcdyhList, "TD");
    }

    @Test
    public void saveBdcDjzt() {
        List<String> ss = new ArrayList<String>();
        ss.add("231002003003GB00022F00020017");
        qlztService.saveBdcDjzt(ss, "1");
    }

}